lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stash_pull_request_commenter/version'

Gem::Specification.new do |spec|
  spec.name          = 'stash_pull_request_commenter'
  spec.version       = StashPullRequestCommenter::VERSION
  spec.authors       = ['Ilya Vassilevsky']
  spec.email         = ['vassilevsky@gmail.com']
  spec.summary       = 'Comment on pull requests in Atlassian Stash repositories'
  spec.homepage      = ''
  spec.license       = 'GPLv2'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}){ |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'docopt', '~> 0.5.0'
  spec.add_runtime_dependency 'httparty', '~> 0.13.3'

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
end
