[![Code Climate](https://codeclimate.com/github/vassilevsky/stash_pull_request_commenter/badges/gpa.svg?style=flat)](https://codeclimate.com/github/vassilevsky/stash_pull_request_commenter)

# Stash Pull Request Commenter

Comment on added lines in a Stash pull request.
Take comments from static checkers reports.
(Currently supports RuboCop and CoffeeLint.)

Inspired by [Hound](https://houndci.com).

## Installation

    gem install stash_pull_request_commenter

## Usage

    rubocop -f json -o rubocop.json
    coffeelint --reporter raw app/assets/javascripts > coffeelint_report.json
    stash-comment <project> <repository> <pull_request_id>
